!set title=Positive square I
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Gang Xiao
email=xiao@unice.fr
language=en

varcnt=7
prevarcnt=6
postvarcnt=0
replycnt=0
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

m_options=nofloat
m_methods=ineq/rewrite, ineq/simpdeduc, ineq/mulexp, ineq/divexp,	ineq/trans, ineq/obvineq, ineq/addineq, ineq/mulineq,	ineq/splitineq	
m_minsteps=4
tmp0=!randitem a,b,c,d,r,s,t,x,y,z

val2=$(tmp0)
tmp0=!randint 2, 50

tmp1=!randitem 2,-2

val3=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint ($val3)^2/4+1, ($val3)^2/4+50

val4=$[rint($(tmp0))]
val5=
val6=!rawmath $val2^2
m_goal=$val6 >= 0
val7=$m_goal
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Please show 
!insmath $val7
$() for 
!insmath $val2 in RR
$().	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=2,7
embedcnt=0
